package pdvdata;
### pdvdata - data for pdv2svg
### Copyright (C) 2009  ja:Matsukaze
### 
### This program is free software; you can redistribute it and/or
### modify it under the terms of the GNU General Public License
### as published by the Free Software Foundation; either version 2
### or version 3.
### 
### This program is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details.

######## DATA ########
# basic symbols
%symbol=(
"undefined" => <<EOS,
  <rect style="stroke:none;fill:black" x="0" y="0" width="30" height="30" />
EOS

### (0)
"0" => <<EOS,
  <rect class="filw" x="0" y="0" width="30" height="30" />
EOS

### (voie)
"V" => <<EOS,
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
EOS

### (Mvoie)
"M" => <<EOS,
  <line class="fil0" x1="0" y1="30" x2="30" y2="0" />
EOS

### (courbehg)
"C" => <<EOS,
  <path class="fil0" d="M 0,0 C 15,15 25,15 30,15" /> 
EOS

### (ch)
"C2" => <<EOS,
  <path class="fil0" d="M 0,0 C 5,5 25,5 30,0" />
EOS

### (tunnelg)
"T1" => <<EOS,
  <line class="fil0" x1="7.5" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 15,7.5 L 7.5,7.5 L 7.5,22.5 L 15 22.5" />
EOS

### (tunnelhg)
"TC" => <<EOS,
  <path class="fil0" d="M 5,5 C 15,15 25,15 30,15" />
  <path class="pont" d="M 5,13 L 1,9 L 9,1 L 13,5" />
EOS

### (tunnelgh)
"T2" => <<EOS,
  <line class="fil0" x1="7.5" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 15,7.5 L 7.5,7.5 L 7.5,30" />
EOS

### (tunnelgc)
"T3" => <<EOS,
  <line class="fil0" x1="7.5" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 7.5,0 L 7.5,30" />
EOS

### (Mtunnelhd)
"T4" => <<EOS,
  <line class="fil0" x1="0" y1="30" x2="25" y2="5" />
  <path class="pont" d="M 17,5 L 21,1 L 29,9 L 25,13" />
EOS

### part of (pont)
"P" => <<EOS,
  <rect class="filw" x="0" y="7.5" width="30" height="15" />
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 7.5,0 L 7.5,7.5 L 22.5,7.5 L 22.5,0" />
  <path class="pont" d="M 7.5,30 L 7.5,22.5 L 22.5,22.5 L 22.5,30" />
EOS

### part of (pontg)
"P2" => <<EOS,
  <rect class="filw" x="0" y="7.5" width="30" height="15" />
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 7.5,0 L 7.5,7.5 L 30,7.5"/>
  <path class="pont" d="M 7.5,30 L 7.5,22.5 L 30,22.5" />
EOS

### part of (ponth)
"P3" => <<EOS,
  <rect class="filw" x="0" y="7.5" width="30" height="22.5" />
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 7.5,0 L 7.5,7.5 L 22.5,7.5 L 22.5,0" />
EOS

### part of (ponthg)
"P4" => <<EOS,
  <rect class="filw" x="0" y="7.5" width="30" height="22.5" />
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 7.5,0 L 7.5,7.5 L 30,7.5" />
EOS
  
### (aerien)
"A1" => <<EOS,
  <rect class="filw" x="0" y="7.5" width="30" height="15" />
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 0,7.5 L 30,7.5" />
  <path class="pont" d="M 0,22.5 L 30,22.5" />
EOS

### (aerienh)
"A2" => <<EOS,
  <rect class="filw" x="0" y="7.5" width="30" height="22.5" />
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="pont" d="M 0,7.5 L 30,7.5" />
EOS

### (Maerien)
"A3" => <<EOS,
  <path class="filw" d="M -5,25 L 5,35 L 35,5 L 25,-5 Z" />
  <line class="pont" x1="-5" y1="25" x2="25" y2="-5" />
  <line class="pont" x1="5" y1="35" x2="35" y2="5" />
  <line class="fil0" x1="0" y1="30" x2="30" y2="0" />
EOS

### (Maerienhg)
"A4" => <<EOS,
  <path class="filw" d="M -5,25 L 7.5,37.5 L 37.5,7.5 L 25,-5 Z" />
  <line class="pont" x1="-5" y1="25" x2="25" y2="-5" />
  <line class="fil0" x1="0" y1="30" x2="30" y2="0" />
EOS

### (sensg)
"S" => <<EOS,
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="str0" d="M 9.5,15 L 20.5,7 L 17.5,15 L 20.5,23 L 9.5,15 z" />
EOS

### (sens2)
"S2" => <<EOS,
  <line class="fil0" x1="0" y1="15" x2="30" y2="15" />
  <path class="str0" d="M 0,15 L 11,7 L 8,15 L 11,23 L 0,15 z" />
  <path class="str0" d="M 30,15 L 19,7 L 22,15 L 19,23 L 30,15 z" />
EOS

### (voies)
"VS" => <<EOS,
  <line class="fil0" style="stroke-width:1" x1="0" y1="2.5" x2="30" y2="2.5" />
  <line class="fil0" style="stroke-width:1" x1="0" y1="7.5" x2="30" y2="7.5" />
  <line class="fil0" style="stroke-width:1" x1="0" y1="12.5" x2="30" y2="12.5" />
  <line class="fil0" style="stroke-width:1" x1="0" y1="17.5" x2="30" y2="17.5" />
  <line class="fil0" style="stroke-width:1" x1="0" y1="22.5" x2="30" y2="22.5" />
  <line class="fil0" style="stroke-width:1" x1="0" y1="27.5" x2="30" y2="27.5" />
EOS

### (voiesg)
"VS2" => <<EOS,
  <path class="fil0" style="stroke-width:1" d="M 0,15 C 10,15 10,2.5 30,2.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,15 C 10,15 10,7.5 30,7.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,15 C 10,15 10,12.5 30,12.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,15 C 10,15 10,17.5 30,17.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,15 C 10,15 10,22.5 30,22.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,15 C 10,15 10,27.5 30,27.5" />
EOS

### (voieshg)
"VS3" => <<EOS,
  <path class="fil0" style="stroke-width:1" d="M 0,0 C 2.5,2.5 10,2.5 30,2.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,0 C 2.5,2.5 10,7.5 30,7.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,0 C 2.5,2.5 10,12.5 30,12.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,0 C 2.5,2.5 10,17.5 30,17.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,0 C 2.5,2.5 10,22.5 30,22.5" />
  <path class="fil0" style="stroke-width:1" d="M 0,0 C 2.5,2.5 10,27.5 30,27.5" />
EOS

### (butoirg)
"B" => <<EOS,
  <line class="fil0" x1="7.5" y1="15" x2="30" y2="15" />
  <line class="fil0" x1="7.5" y1="10" x2="7.5" y2="20" />
EOS

### (Mbutoirhd)
"B2" => <<EOS,
  <line class="fil0" x1="25" y1="5" x2="0" y2="30" />
  <line class="fil0" x1="22" y1="2" x2="28" y2="8" />
EOS

### (quai)
"Q" => <<EOS,
  <rect class="quai" x="0" y="0" width="30" height="30" />
EOS

### (quaih)
"Q2" => <<EOS,
  <rect class="quai" x="0" y="0" width="30" height="22.5" />
  <line class="pont" x1="0" y1="22.5" x2="30" y2="22.5" />
EOS

### (quaihg)
"Q3" => <<EOS,
  <path class="pont" d="M 7.5,0 L 7.5,7.5 L 15,7.5" />
EOS

### (BV)
"BV" => <<EOS,
  <rect class="bv" x="0" y="0" width="30" height="30" />
EOS

### (route)
"R" => <<EOS,
  <rect class="route" x="0" y="0" width="30" height="30" />
  <line class="routec" x1="0" y1="15" x2="30" y2="15" />
EOS

### (routeg)
"R2" => <<EOS,
  <rect style="fill:url(#Grad);stroke:none" x="0" y="0" width="30" height="30" />
  <line class="routec" x1="0" y1="15" x2="30" y2="15" />
EOS

### (PN)
"PN" => <<EOS,
  <rect class="route" x="0" y="0" width="30" height="30" />
  <line class="routec" x1="15" y1="0" x2="15" y2="30" />
  <line class="pn" x1="0" y1="15" x2="30" y2="15" />
EOS

### (flecheh)
"F1" => <<EOS,
  <line class="fleche" x1="15" y1="1" x2="15" y2="29" />
  <path class="fleche" d="M 5,11 L 15,1 L 25,11" />
EOS

### (flechehg)
"F2" => <<EOS,
  <g transform="rotate(-45,15,15)">
   <line class="fleche" x1="15" y1="1" x2="15" y2="29" />
   <path class="fleche" d="M 5,11 L 15,1 L 25,11" />
  </g>
EOS

### (flechehg+)
"F3" => <<EOS,
  <line class="fleche" x1="2" y1="2" x2="30" y2="30" />
  <path class="flechef" d="M -0.194311,-0.026842 L 6.559999,16.095438 L 8.240227,7.994865 L 16.246361,5.910574 L -0.194311,-0.026842 z" />
EOS
);

# pictgram id => basic icons
%table=(
	"0" => [ ["0"] ],

	"voie" => [ ["V"] ],
	"Vvoie" => [ ["V",90] ],
	"Mvoie" => [ ["M"] ],
	"Dvoie" => [ ["M",90] ],
	
	"courbehg" => [ ["C"] ],
	"courbehd" => [ ["C",0,1] ],
	"courbebg" => [ ["C",180,1] ],
	"courbebd" => [ ["C",180] ],
	"Vcourbehg" => [ ["C",270,1] ],
	"Vcourbehd" => [ ["C",90] ],  
	"Vcourbebg" => [ ["C",270] ],   
	"Vcourbebd" => [ ["C",90,1] ],
	
	"ch" => [ ["C2"] ],
	"cb" => [ ["C2",180] ],
	
	"bifhg" => [ ["V"], ["C"] ],
	"bifhd" => [ ["V"], ["C",0,1] ],
	"bifbg" => [ ["V"], ["C",180,1] ],
	"bifbd" => [ ["V"], ["C",180] ],
	"Vbifhg" => [ ["V",90], ["C",270,1] ],
	"Vbifhd" => [ ["V",90], ["C",90] ],
	"Vbifbg" => [ ["V",90], ["C",270] ],
	"Vbifbd" => [ ["V",90], ["C",90,1] ],
	"Mbifh" => [ ["M"], ["C",270] ],
	"Mbifb" => [ ["M"], ["C",90] ],
	"Mbifg" => [ ["M"], ["C",0,1] ],
	"Mbifd" => [ ["M"], ["C",180,1] ],
	"Dbifh" => [ ["M",90], ["C",90,1] ],
	"Dbifb" => [ ["M",90], ["C",270,1] ],
	"Dbifg" => [ ["M",90], ["C",180] ],
	"Dbifd" => [ ["M",90], ["C"] ],
	"bifg" => [ ["C"], ["C",180,1] ],
	"bifd" => [ ["C",0,1], ["C",180] ],
	"bifh" => [ ["C",270,1], ["C",90] ],
	"bifb" => [ ["C",270], ["C",90,1] ],
	
	"xV" => [ ["V"], ["V",90] ],
	"xM" => [ ["V"], ["M"] ],
	"xD" => [ ["V"], ["M",90] ],
	"VxM" => [ ["V",90], ["M"] ],
	"VxD" => [ ["V",90], ["M",90] ],
	"MxD" => [ ["M"], ["M",90] ],
	"xMh" => [ ["V"], ["M"], ["C",0,1] ],
	"xMb" => [ ["V"], ["M"], ["C",180,1] ],
	"xMhb" => [ ["V"], ["M"], ["C",0,1], ["C",180,1] ],
	"xDh" => [ ["V"], ["M",90], ["C"] ],
	"xDb" => [ ["V"], ["M",90], ["C",180] ],
	"xDhb" => [ ["V"], ["M",90], ["C"], ["C",180] ],
	"VxMg" => [ ["V",90], ["M"], ["C",270] ],
	"VxMd" => [ ["V",90], ["M"], ["C",90] ],
	"VxMgd" => [ ["V",90], ["M"], ["C",270], ["C",90] ],
	"VxDg" => [ ["V",90], ["M",90], ["C",270,1] ],
	"VxDd" => [ ["V",90], ["M",90], ["C",90,1] ],
	"VxDgd" => [ ["V",90], ["M",90], ["C",270,1], ["C",90,1] ],
	
	"3bifg" => [ ["V"], ["C"], ["C",180,1] ],
	"3bifd" => [ ["V"], ["C",0,1], ["C",180] ],
	"V3bifh" => [ ["V",90], ["C",270,1], ["C",90] ],
	"V3bifb" => [ ["V",90], ["C",270], ["C",90,1] ],
	
	"tunnelg" => [ ["T1"] ],
	"tunneld" => [ ["T1",180] ],
	"tunnelhg" => [ ["TC"] ],
	"tunnelhd" => [ ["TC",0,1] ],
	"tunnelbg" => [ ["TC",180,1] ],
	"tunnelbd" => [ ["TC",180] ],
	"tunnelgh" => [ ["T2"] ],
	"tunnelgb" => [ ["T2",180,1] ],
	"tunnelgc" => [ ["T3"] ],
	"tunneldh" => [ ["T2",0,1] ],
	"tunneldb" => [ ["T2",180] ],
	"tunneldc" => [ ["T3",180] ],
	"Vtunnelh" => [ ["T1",90] ],
	"Vtunnelb" => [ ["T1",270] ],
	"Vtunnelhg" => [ ["TC",270,1] ],
	"Vtunnelhd" => [ ["TC",90] ],
	"Vtunnelbg" => [ ["TC",270] ],
	"Vtunnelbd" => [ ["TC",90,1] ],
	"Vtunnelgh" => [ ["T2",270,1] ],
	"Vtunneldh" => [ ["T2",90] ],
	"Vtunnelch" => [ ["T3",90] ],
	"Vtunnelgb" => [ ["T2",270] ],
	"Vtunneldb" => [ ["T2",90,1] ],
	"Vtunnelcb" => [ ["T3",270] ],

	"Mtunnelhd" => [ ["T4" ] ],
	"Mtunnelbg" => [ ["T4", 180 ] ],
	"Dtunnelhg" => [ ["T4", 270 ] ],
	"Dtunnelbd" => [ ["T4", 90 ] ],
	
	"pont" => [ ["V",90], ["P"] ],
	"pontg" => [ ["V",90], ["P2"] ],
	"pontd" => [ ["V",90], ["P2",180] ],
	"pontc" => [ ["V",90], ["A1"] ],
	"ponth" => [ ["V",90], ["P3"] ],
	"ponthg" => [ ["V",90], ["P4"] ],
	"ponthd" => [ ["V",90], ["P4",0,1] ],
	"ponthc" => [ ["V",90], ["A2"] ],
	"pontb" => [ ["V",90], ["P3",180] ],
	"pontbg" => [ ["V",90], ["P4",180,1] ],
	"pontbd" => [ ["V",90], ["P4",180] ],
	"pontbc" => [ ["V",90], ["A2",180] ],
	"Vpont" => [ ["V"], ["P",270] ],
	"Vponth" => [ ["V"], ["P2",90] ],
	"Vpontb" => [ ["V"], ["P2",270] ],
	"Vpontc" => [ ["V"], ["A1",90] ],
	"Vpontg" => [ ["V"], ["P3",270] ],
	"Vpontgh" => [ ["V"], ["P4",270,1] ],
	"Vpontgb" => [ ["V"], ["P4",270] ],
	"Vpontgc" => [ ["V"], ["A2",270] ],
	"Vpontd" => [ ["V"], ["P3",90] ],
	"Vpontdh" => [ ["V"], ["P4",90] ],
	"Vpontdb" => [ ["V"], ["P4",90,1] ],
	"Vpontdc" => [ ["V"], ["A2",90] ],

	"aerien" => [ ["A1"] ],
	"aerienh" => [ ["A2"] ],
	"aerienb" => [ ["A2", 180] ],
	"Vaerien" => [ ["A1", 90] ],
	"Vaerieng" => [ ["A2", 270] ],
	"Vaeriend" => [ ["A2", 90] ],
	"Maerien" => [ ["A3"] ],
	"Maerienhg" => [ ["A4"] ],
	"Maerienbd" => [ ["A4", 180] ],
	"Daerien" => [ ["A3", 90] ],
	"Daerienhd" => [ ["A4", 90] ],
	"Daerienbg" => [ ["A4", 270] ],

	"sensg" => [ ["S"] ],
	"sensd" => [ ["S",180] ],
	"sens2" => [ ["S2"] ],
	"Vsensh" => [ ["S",90] ],
	"Vsensb" => [ ["S",270] ],
	"Vsens2" => [ ["S2",270] ],
	
	"voies" => [ ["VS"] ],
	"voiesg" => [ ["VS2"] ],
	"voiesd" => [ ["VS2",0,1] ],
	"voieshg" => [ ["VS3"] ],
	"voieshd" => [ ["VS3",0,1] ],
	"voiesbg" => [ ["VS3",180,1] ],
	"voiesbd" => [ ["VS3",180] ],
	"Vvoies" => [ ["VS",90] ],
	"Vvoiesh" => [ ["VS2",90] ],
	"Vvoiesb" => [ ["VS2",270] ],
	"Vvoieshg" => [ ["VS3",270,1] ],
	"Vvoieshd" => [ ["VS3",90] ],
	"Vvoiesbg" => [ ["VS3",270] ],
	"Vvoiesbd" => [ ["VS3",90,1] ],

	"butoirg" => [ ["B"] ],
	"butoird" => [ ["B", 180] ],
	"Vbutoirh" => [ ["B", 90] ],
	"Vbutoirb" => [ ["B", 270] ],
	"Mbutoirhd" => [ ["B2"] ],
	"Mbutoirbg" => [ ["B2", 180] ],
	"Dbutoirhg" => [ ["B2", 270] ],
	"Dbutoirbd" => [ ["B2", 90] ],

	"quai" => [ ["Q"] ],
	"quaih" => [ ["Q2"] ],
	"quaib" => [ ["Q2",180] ],
	"quaig" => [ ["Q2",90] ],
	"quaid" => [ ["Q2",270] ],
	"quaihg" => [ ["Q3"] ],
	"quaihd" => [ ["Q3",0,1] ],
	"quaibg" => [ ["Q3",180,1] ],
	"quaibd" => [ ["Q3",180] ],
	"BV" => [ ["BV"] ],
	
	"route" => [ ["R"] ],
	"routeg" => [ ["R2"] ],
	"routed" => [ ["R2",180] ],
	"Vroute" => [ ["R",270] ],
	"Vrouteh" => [ ["R2",90] ],
	"Vrouteb" => [ ["R2",270] ],
	"PN" => [ ["PN"] ],
	"VPN" => [ ["PN",180] ],
	
	"flecheh" => [ ["F1"] ],
	"flecheb" => [ ["F1",180] ],
	"flecheg" => [ ["F1",270] ],
	"fleched" => [ ["F1",90] ],
	"flechehg" => [ ["F2"] ], 
	"flechehd" => [ ["F2",90] ],
	"flechebg" => [ ["F2",270] ],
	"flechebd" => [ ["F2",180] ],
	"flechehg+" => [ ["F3"] ],
	"flechehd+" => [ ["F3",90] ],
	"flechebg+" => [ ["F3",270] ],
	"flechebd+" => [ ["F3",180] ],
	);
# abbreviations of pictgrams
%abbr=(
       "" => "0",
       "-" => "voie",
       "!" => "Vvoie",
       "/" => "Mvoie",
       "\\" => "Dvoie",
       "," => "courbebg",
       "." => "courbebd",
       "`" => "courbehg",
       "'" => "courbehd",
       "-," => "bifbg",
       "-." => "bifbd",
       "-`" => "bifhg",
       "-'" => "bifhd",
       ".`" => "bifg",
       ",'" => "bifd",
       "Q" => "quai",
       "<-" => "sensg",
       "->" => "sensd",
       "<>" => "sens2"
);

######## end of DATA ########
